Bug 510670 - Hotmail webmail service is unusable with epiphany 2.27.x (WebKit)
Hotmail webmail service is unusable with epiphany 2.27.x (WebKit)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 03:56 EDT by Joachim Frieben
Modified: 2010-07-26 17:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 17:17:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 590972 None None None Never
WebKit Project 22633 None None None Never

  None (edit)
Description Joachim Frieben 2009-07-10 03:56:56 EDT
Description of problem:
Versions 2.27.x of web browser Epiphany are built againt webkitgtk instead of xulrunner. In the case of the Hotmail web mail service, this implies that individual messages cannot be opened after logging in to the mail account.
At the bottom of the browser window merely a notification "javacript:;" is displayed, thus, the issue might be related to the implementation/handling of Javascript.

Version-Release number of selected component (if applicable):
epiphany-2.27.3-1.fc12.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Launch epiphany.
2. Log in to Hotmail account and open inbox.
3. Click a message to open it.
  
Actual results:
None.

Expected results:
Message gets displayed.

Additional info:
Downgrading to epiphany-2.26.3-1.fc11.x86_64 restores proper behaviour.
Comment 1 Joachim Frieben 2009-09-25 01:06:29 EDT
No improvement for

- epiphany-2.28.0-1.fc12.x86_64
- webkitgtk-1.1.15.1-2.fc12.x86_64

Opening a Hotmail message entry in a new window leads to an address bar with

   "javascript:;"

and a page body with

   "URL cannot be shown" .
Comment 2 Joachim Frieben 2009-10-20 10:21:11 EDT
No improvement for current "rawhide" featuring:
- epiphany-2.28.1-1.fc12.x86_64
- webkitgtk-1.1.15.2-1.fc12.x86_64
Comment 3 Bug Zapper 2009-11-16 05:46:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Joachim Frieben 2009-12-05 07:52:05 EST
No improvement for current "rawhide" featuring:
- epiphany-2.29.3-1.fc13.x86_64
- webkitgtk-1.1.17-1.fc13.x86_64

Opening a Hotmail message entry in a new window still leads to an address bar with

   "javascript:;"

and a page body with

   "URL cannot be shown" .
Comment 5 Joachim Frieben 2010-02-25 14:59:28 EST
Works in recent 2.29.x builds which have the gconf key "user_agent" after setting it to "Safari".
Comment 6 d. johnson 2010-07-06 13:53:10 EDT
If this bug is resolved in the current release, is it ok to close?

(At the moment: epiphany-2.30.2-1.fc13 / webkitgtk-1.2.0-1.fc13 )



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.